Table of Contents

## Name

im_invert - inverts an image pointed by an image descriptor.

## Synopsis

#include <vips/vips.h>

int im_invert(in, out)
IMAGE *in, *out;

## Description

im_invert inverts the image held by image descriptor in and writes the result on the image descriptor out. The function works on FMTUCHAR images only. The result at point x of the input image is 255-x at the output image. Input can have any no of channels.
This is not a generally useful program -- it is included as an example of a
very simple new-style IO function. Feel the power of the source, Luke!

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_add(3X) , im_lintra(3X) , im_multiply(3X) .

## Author

J. Cupitt - 21/7/93

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Author